## nautilus 47.1

=== debian/changelog ===
nautilus (1:47.1-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: libunity-dev
      + Add Recommends: xdg-desktop-portal-gnome:
        Required for "Set as Background" feature
      + Suggest instead of Recommend gnome-sushi
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
    - Add appstream-compulsory.patch:
      - Mark Nautilus as required for GNOME (affects the GNOME Software app)
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - nautilus-sendto.patch:
      + Restore nautilus-sendto integration for better Thunderbird integration
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - unity_icon_color.patch:
      + specify a background color for the unity launcher icon

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 09 Dec 2024 10:57:54 -0500

nautilus (47.1-1) unstable; urgency=medium

  * New upstream release
  * Remove 3 patches applied in new release
  * Remove a localsearch revert patch that is no longer needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 09 Dec 2024 10:55:19 -0500

nautilus (1:47.0-3ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: libunity-dev
      + Add Recommends: xdg-desktop-portal-gnome:
        Required for "Set as Background" feature
      + Suggest instead of Recommend gnome-sushi
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
    - Add appstream-compulsory.patch:
      - Mark Nautilus as required for GNOME (affects the GNOME Software app)
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - nautilus-sendto.patch:
      + Restore nautilus-sendto integration for better Thunderbird integration
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - unity_icon_color.patch:
      + specify a background color for the unity launcher icon

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Dec 2024 16:46:23 -0500

nautilus (47.0-3) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Cherry-pick 3 patches from the gnome-47 branch
  * debian/salsa-ci.yml: update for latest recommendation

  [ Zhian Chen ]
  * Add Depends: xdg-user-dirs-gtk (Closes: #1082427)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Dec 2024 16:43:46 -0500

nautilus (1:47.0-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: libunity-dev
      + Add Recommends: xdg-desktop-portal-gnome:
        Required for "Set as Background" feature
      + Suggest instead of Recommend gnome-sushi
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
    - Add appstream-compulsory.patch:
      - Mark Nautilus as required for GNOME (affects the GNOME Software app)
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - nautilus-sendto.patch:
      + Restore nautilus-sendto integration for better Thunderbird integration
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - unity_icon_color.patch:
      + specify a background color for the unity launcher icon

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 16 Sep 2024 14:32:33 +0200

nautilus (1:47~beta.1-1ubuntu1) oracular; urgency=medium

  [ Jeremy Bícha ]
  * Merge with Debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: libunity-dev
      + Add Recommends: xdg-desktop-portal-gnome:
        Required for "Set as Background" feature
      + Suggest instead of Recommend gnome-sushi
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
    - Add appstream-compulsory.patch:
      - Mark Nautilus as required for GNOME (affects the GNOME Software app)
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - nautilus-sendto.patch:
      + Restore nautilus-sendto integration for better Thunderbird integration
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - unity_icon_color.patch:
      + specify a background color for the unity launcher icon
  * Refresh patches



=== debian/control ===
Source: nautilus
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: appstream-util <!nocheck>,
               dbus <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               desktop-file-utils,
               gi-docgen,
               libadwaita-1-dev (>= 1.6~beta),
               libcloudproviders-dev (>= 0.3.1),
               libfontconfig-dev,
               libgexiv2-dev (>= 0.14.2),
               libgirepository1.0-dev (>= 0.10.7-1~),
               libglib2.0-dev (>= 2.79.0),
               libglib2.0-doc,
               libgnome-autoar-0-dev (>= 0.4.4),
               libgnome-desktop-4-dev (>= 43~),
               libgstreamer-plugins-base1.0-dev,
               libgtk-4-dev (>= 4.15.2),
               libgtk-4-doc,
               libpango1.0-dev (>= 1.42),
               libportal-gtk4-dev (>= 0.7),
               libselinux1-dev (>= 2.0) [linux-any],
               libtracker-sparql-3.0-dev,
               meson (>= 0.59.0),
               shared-mime-info (>= 0.50),
               libunity-dev (>= 5.0.0),
               tracker (>= 3) <!nocheck>,
               tracker-extract (>= 3) <!nocheck>,
               tracker-miner-fs (>= 3) <!nocheck>,
               tracker-test-utils (>= 3) <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>
Rules-Requires-Root: no
Homepage: https://wiki.gnome.org/action/show/Apps/Nautilus
Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
Standards-Version: 4.7.0

Package: nautilus
Architecture: any
Depends: bubblewrap [linux-any],
         desktop-file-utils (>= 0.7),
         eject,
         gsettings-desktop-schemas (>= 3.8.0),
         gvfs (>= 1.3.2),
         libglib2.0-data,
         libnautilus-extension4 (= ${binary:Version}),
         nautilus-data (= ${source:Version}),
         shared-mime-info (>= 0.50),
         tracker (>= 3),
         tracker-miner-fs (>= 3),
         tracker-extract (>= 3),
         xdg-user-dirs-gtk,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gvfs-backends,
            libgdk-pixbuf2.0-bin,
            librsvg2-common,
            xdg-desktop-portal-gnome
Suggests: evince | pdf-viewer,
          gnome-sushi,
          totem | mp3-decoder,
Replaces: totem (<< 3.31.91-1),
Breaks: eiciel (<< 0.9.13.1-1.1~),
        folder-color (<< 0.0.86-0ubuntu5~),
        gedit (<< 40),
        nautilus-dropbox (<< 2019.02.14-1ubuntu2~),
        nautilus-extension-brasero (<< 3.12.3-2),
        nautilus-extension-burner (<< 3.0.10-1.2),
        nautilus-extension-gnome-console (<< 43),
        nautilus-filename-repairer (<< 0.2.0-3.1~),
        nautilus-font-manager (<< 0.8.8-2),
        nautilus-gtkhash (<< 1.4+git20220617-2.1~),
        nautilus-ideviceinfo (<< 0.1.0-0ubuntu15~),
        nautilus-image-converter (<< 0.3.1~git20110416-2.1~),
        nautilus-wipe (<< 0.3.1-2.1~),
        nautilus-share (<< 0.7.3-2ubuntu7~),
        seahorse-nautilus (<< 3.11.92-4.1~),
        totem (<< 3.31.91-1),
        unity (<< 7.5.1+21.10.20210601.1-0ubuntu1),
Description: file manager and graphical shell for GNOME
 Nautilus is the official file manager for the GNOME desktop. It allows
 one to browse directories, preview files and launch applications
 associated with them. It is also responsible for handling the icons on
 the GNOME desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.

Package: gir1.2-nautilus-4.0
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: libraries for nautilus components - gir bindings
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: libnautilus-extension-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: gir1.2-nautilus-4.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.79.0),
         libnautilus-extension4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${gir:Provides}
Description: libraries for nautilus components - development version
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package provides the necessary development libraries and include
 files to develop and compile Nautilus extensions.

Package: libnautilus-extension4
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: libraries for nautilus components - runtime version
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package contains a few runtime libraries needed by nautilus' extensions.

Package: nautilus-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: data files for nautilus
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package contains pictures, localization files and other data
 needed by nautilus.

## nautilus 48~beta

=== debian/changelog ===
nautilus (48~beta-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum GTK4
  * Run wrap-and-sort
  * Stop installing tracker domain ontology: no longer provided or needed
  * Remove Suggests: totem, evince
  * Remove ancient Breaks/Replaces
  * Remove plugin crash patch: applied in new release
  * Update localsearch revert patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 16:12:36 -0500

nautilus (47.1-2) unstable; urgency=medium

  [ Philipp Unger ]
  * Add patch to fix plugin crash

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 16 Jan 2025 13:02:53 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: nautilus
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bicha <jbicha@ubuntu.com>
-Build-Depends: appstream-util <!nocheck>,
-               dbus <!nocheck>,
-               debhelper-compat (= 13),
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
+               appstream-util <!nocheck>,
+               dbus <!nocheck>,
                desktop-file-utils,
                gi-docgen,
+               gir1.2-gio-2.0-dev,
                libadwaita-1-dev (>= 1.6~beta),
                libcloudproviders-dev (>= 0.3.1),
                libfontconfig-dev,
@@ -21,7 +21,7 @@
                libgnome-autoar-0-dev (>= 0.4.4),
                libgnome-desktop-4-dev (>= 43~),
                libgstreamer-plugins-base1.0-dev,
-               libgtk-4-dev (>= 4.15.2),
+               libgtk-4-dev (>= 4.17.0),
                libgtk-4-doc,
                libpango1.0-dev (>= 1.42),
                libportal-gtk4-dev (>= 0.7),
@@ -29,7 +29,6 @@
                libtracker-sparql-3.0-dev,
                meson (>= 0.59.0),
                shared-mime-info (>= 0.50),
-               libunity-dev (>= 5.0.0),
                tracker (>= 3) <!nocheck>,
                tracker-extract (>= 3) <!nocheck>,
                tracker-miner-fs (>= 3) <!nocheck>,
@@ -54,22 +53,14 @@
          nautilus-data (= ${source:Version}),
          shared-mime-info (>= 0.50),
          tracker (>= 3),
+         tracker-extract (>= 3),
          tracker-miner-fs (>= 3),
-         tracker-extract (>= 3),
          xdg-user-dirs-gtk,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gvfs-backends,
-            libgdk-pixbuf2.0-bin,
-            librsvg2-common,
-            xdg-desktop-portal-gnome
-Suggests: evince | pdf-viewer,
-          gnome-sushi,
-          totem | mp3-decoder,
-Replaces: totem (<< 3.31.91-1),
+Recommends: gnome-sushi, gvfs-backends, libgdk-pixbuf2.0-bin, librsvg2-common
 Breaks: eiciel (<< 0.9.13.1-1.1~),
         folder-color (<< 0.0.86-0ubuntu5~),
-        gedit (<< 40),
         nautilus-dropbox (<< 2019.02.14-1ubuntu2~),
         nautilus-extension-brasero (<< 3.12.3-2),
         nautilus-extension-burner (<< 3.0.10-1.2),
@@ -79,11 +70,9 @@
         nautilus-gtkhash (<< 1.4+git20220617-2.1~),
         nautilus-ideviceinfo (<< 0.1.0-0ubuntu15~),
         nautilus-image-converter (<< 0.3.1~git20110416-2.1~),
+        nautilus-share (<< 0.7.3-2ubuntu7~),
         nautilus-wipe (<< 0.3.1-2.1~),
-        nautilus-share (<< 0.7.3-2ubuntu7~),
-        seahorse-nautilus (<< 3.11.92-4.1~),
-        totem (<< 3.31.91-1),
-        unity (<< 7.5.1+21.10.20210601.1-0ubuntu1),
+        seahorse-nautilus (<< 3.11.92-4.1~)
 Description: file manager and graphical shell for GNOME
  Nautilus is the official file manager for the GNOME desktop. It allows
  one to browse directories, preview files and launch applications
@@ -97,9 +86,7 @@
 Architecture: any
 Multi-Arch: same
 Section: introspection
-Depends: ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: libraries for nautilus components - gir bindings
  Nautilus is the official file manager and graphical shell for the
  GNOME desktop.
@@ -128,8 +115,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: libraries for nautilus components - runtime version
  Nautilus is the official file manager and graphical shell for the
  GNOME desktop.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
ENABLE_TESTS := -Dtests=all
else
ENABLE_TESTS := -Dtests=none
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
ENABLE_SELINUX := -Dselinux=true
else
ENABLE_SELINUX := -Dselinux=false
endif

ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes), yes)
# Not in main repository
ENABLE_CLOUD += -Dcloudproviders=false
else
ENABLE_CLOUD += -Dcloudproviders=true
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Ddocs=true \
		-Dpackagekit=true \
		$(ENABLE_TESTS) \
		$(ENABLE_CLOUD) \
		$(ENABLE_SELINUX)

override_dh_auto_test:
	touch $(CURDIR)/debian/.debhelper/generated/_source/home/.gtk-bookmarks
	GTK_A11Y=none dbus-run-session -- xvfb-run --auto-servernum dh_auto_test

override_dh_gnome_clean:

## nautilus 48~rc

=== debian/changelog ===
nautilus (48~rc-2) unstable; urgency=medium

  * New upstream release
  * Bump minimum gtk4
  * Restore Build-Depends: libtracker-sparql-3.0-dev
  * Set HOME for new build test

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 16:14:49 -0500

nautilus (48~beta-2) unstable; urgency=medium

  * Remove tracker revert patch
  * Update Depends to localsearch/tinysparql

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Feb 2025 06:59:16 -0500

=== debian/control ===
--- 
+++ 
@@ -21,11 +21,12 @@
                libgnome-autoar-0-dev (>= 0.4.4),
                libgnome-desktop-4-dev (>= 43~),
                libgstreamer-plugins-base1.0-dev,
-               libgtk-4-dev (>= 4.17.0),
+               libgtk-4-dev (>= 4.17.5),
                libgtk-4-doc,
                libpango1.0-dev (>= 1.42),
                libportal-gtk4-dev (>= 0.7),
                libselinux1-dev (>= 2.0) [linux-any],
+               libtinysparql-dev,
                libtracker-sparql-3.0-dev,
                meson (>= 0.59.0),
                shared-mime-info (>= 0.50),
@@ -52,9 +53,7 @@
          libnautilus-extension4 (= ${binary:Version}),
          nautilus-data (= ${source:Version}),
          shared-mime-info (>= 0.50),
-         tracker (>= 3),
-         tracker-extract (>= 3),
-         tracker-miner-fs (>= 3),
+         localsearch,
          xdg-user-dirs-gtk,
          ${misc:Depends},
          ${shlibs:Depends}

## nautilus 48.0

=== debian/changelog ===
nautilus (1:48.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: libunity-dev
      + Add Recommends: xdg-desktop-portal-gnome:
        Required for "Set as Background" feature
      + Suggest instead of Recommend gnome-sushi
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
    - Add appstream-compulsory.patch:
      - Mark Nautilus as required for GNOME (affects the GNOME Software app)
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - nautilus-sendto.patch:
      + Restore nautilus-sendto integration for better Thunderbird integration
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - unity_icon_color.patch:
      + specify a background color for the unity launcher icon
  * Refresh patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 18 Mar 2025 17:58:19 +0100

nautilus (48.0-1) unstable; urgency=medium

  * Team upload

  [ Alessandro Astone ]
  * New upstream release

  [ Jeremy Bícha ]
  * Update Build-Depends: tracker → localsearch

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 18 Mar 2025 16:58:13 +0100

nautilus (1:48~rc-2ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: libunity-dev
      + Add Recommends: xdg-desktop-portal-gnome:
        Required for "Set as Background" feature
      + Suggest instead of Recommend gnome-sushi
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
    - Add appstream-compulsory.patch:
      - Mark Nautilus as required for GNOME (affects the GNOME Software app)
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - nautilus-sendto.patch:
      + Restore nautilus-sendto integration for better Thunderbird integration
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - unity_icon_color.patch:
      + specify a background color for the unity launcher icon
  * d/p/u/nautilus-sendto.patch: Handle missing mailto handler

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 11 Mar 2025 13:01:53 +0100

nautilus (1:48~beta-2ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: libunity-dev
      + Add Recommends: xdg-desktop-portal-gnome:
        Required for "Set as Background" feature
      + Suggest instead of Recommend gnome-sushi
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
    - Add appstream-compulsory.patch:
      - Mark Nautilus as required for GNOME (affects the GNOME Software app)
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - nautilus-sendto.patch:
      + Restore nautilus-sendto integration for better Thunderbird integration
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - unity_icon_color.patch:
      + specify a background color for the unity launcher icon

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Feb 2025 07:01:13 -0500

nautilus (1:48~beta-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: libunity-dev
      + Add Recommends: xdg-desktop-portal-gnome:
        Required for "Set as Background" feature
      + Suggest instead of Recommend gnome-sushi
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
    - Add appstream-compulsory.patch:
      - Mark Nautilus as required for GNOME (affects the GNOME Software app)
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - nautilus-sendto.patch:
      + Restore nautilus-sendto integration for better Thunderbird integration
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - unity_icon_color.patch:
      + specify a background color for the unity launcher icon
  * Rebase patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 19 Feb 2025 09:59:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: nautilus
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -28,11 +29,10 @@
                libselinux1-dev (>= 2.0) [linux-any],
                libtinysparql-dev,
                libtracker-sparql-3.0-dev,
+               localsearch <!nocheck>,
                meson (>= 0.59.0),
                shared-mime-info (>= 0.50),
-               tracker (>= 3) <!nocheck>,
-               tracker-extract (>= 3) <!nocheck>,
-               tracker-miner-fs (>= 3) <!nocheck>,
+               libunity-dev (>= 5.0.0),
                tracker-test-utils (>= 3) <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>
@@ -57,7 +57,11 @@
          xdg-user-dirs-gtk,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gnome-sushi, gvfs-backends, libgdk-pixbuf2.0-bin, librsvg2-common
+Recommends: gvfs-backends,
+            libgdk-pixbuf2.0-bin,
+            librsvg2-common,
+            xdg-desktop-portal-gnome,
+Suggests: gnome-sushi,
 Breaks: eiciel (<< 0.9.13.1-1.1~),
         folder-color (<< 0.0.86-0ubuntu5~),
         nautilus-dropbox (<< 2019.02.14-1ubuntu2~),
@@ -71,7 +75,8 @@
         nautilus-image-converter (<< 0.3.1~git20110416-2.1~),
         nautilus-share (<< 0.7.3-2ubuntu7~),
         nautilus-wipe (<< 0.3.1-2.1~),
-        seahorse-nautilus (<< 3.11.92-4.1~)
+        seahorse-nautilus (<< 3.11.92-4.1~),
+        unity (<< 7.5.1+21.10.20210601.1-0ubuntu1),
 Description: file manager and graphical shell for GNOME
  Nautilus is the official file manager for the GNOME desktop. It allows
  one to browse directories, preview files and launch applications

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,9 @@
 ENABLE_CLOUD += -Dcloudproviders=true
 endif
 
+# test-files-view needs to write to dconf
+export HOME=$(CURDIR)/debian/build
+
 %:
 	dh $@
 
@@ -30,7 +33,8 @@
 	dh_auto_configure -- \
 		-Ddocs=true \
 		-Dpackagekit=true \
-		$(ENABLE_TESTS) \
+		-Dtests=all \
+		-Dunity-launcher=true \
 		$(ENABLE_CLOUD) \
 		$(ENABLE_SELINUX)
 
@@ -38,4 +42,12 @@
 	touch $(CURDIR)/debian/.debhelper/generated/_source/home/.gtk-bookmarks
 	GTK_A11Y=none dbus-run-session -- xvfb-run --auto-servernum dh_auto_test
 
+override_dh_install:
+	dh_install
+	mkdir -p debian/nautilus/usr/share/apport/package-hooks
+	sed 's/DEB_HOST_MULTIARCH/$(DEB_HOST_MULTIARCH)/g' debian/source_nautilus.py.in > debian/nautilus/usr/share/apport/package-hooks/source_nautilus.py
+
 override_dh_gnome_clean:
+
+execute_after_dh_clean:
+	rm -rf $(CURDIR)/debian/build

## nautilus 48.1

=== debian/changelog ===
nautilus (48.1-2) unstable; urgency=medium

  * Team upload
  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 17:32:12 +0200

nautilus (48.1-1) unstable; urgency=medium

  * New upstream release
  * Remove remaining patch: no longer needed (Closes: #1050733)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 13:58:19 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: nautilus
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bicha <jbicha@ubuntu.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               appstream-util <!nocheck>,
+               appstream <!nocheck>,
                dbus <!nocheck>,
                desktop-file-utils,
                gi-docgen,
@@ -32,7 +31,6 @@
                localsearch <!nocheck>,
                meson (>= 0.59.0),
                shared-mime-info (>= 0.50),
-               libunity-dev (>= 5.0.0),
                tracker-test-utils (>= 3) <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>
@@ -57,11 +55,7 @@
          xdg-user-dirs-gtk,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gvfs-backends,
-            libgdk-pixbuf2.0-bin,
-            librsvg2-common,
-            xdg-desktop-portal-gnome,
-Suggests: gnome-sushi,
+Recommends: gnome-sushi, gvfs-backends, libgdk-pixbuf2.0-bin, librsvg2-common
 Breaks: eiciel (<< 0.9.13.1-1.1~),
         folder-color (<< 0.0.86-0ubuntu5~),
         nautilus-dropbox (<< 2019.02.14-1ubuntu2~),
@@ -75,8 +69,7 @@
         nautilus-image-converter (<< 0.3.1~git20110416-2.1~),
         nautilus-share (<< 0.7.3-2ubuntu7~),
         nautilus-wipe (<< 0.3.1-2.1~),
-        seahorse-nautilus (<< 3.11.92-4.1~),
-        unity (<< 7.5.1+21.10.20210601.1-0ubuntu1),
+        seahorse-nautilus (<< 3.11.92-4.1~)
 Description: file manager and graphical shell for GNOME
  Nautilus is the official file manager for the GNOME desktop. It allows
  one to browse directories, preview files and launch applications

## nautilus 48.2

=== debian/changelog ===
nautilus (48.2-3) unstable; urgency=medium

  * Team upload
  * Release to unstable (freeze exception: #1107571)

 -- Simon McVittie <smcv@debian.org>  Wed, 11 Jun 2025 09:53:17 +0100

nautilus (48.2-2) experimental; urgency=medium

  * Team upload
  * Summarize upstream changes in previous changelog entry
  * d/p/debian/Revert-test-Disable-localsearch-tracker-tests.patch:
    Re-enable localsearch/tracker test-case, disabled by upstream in 48.2.
    This restores the test coverage that we had in 48.1.

 -- Simon McVittie <smcv@debian.org>  Mon, 09 Jun 2025 23:19:50 +0100

nautilus (48.2-1) experimental; urgency=medium

  * New upstream release
    - Fix a crash when an async query changes the visibility of the "Empty
      Trash…" banner
      (nautilus#3844 upstream)
    - Fix a crash which can occur when moving between non-local locations,
      or when double-clicking on a folder when using single-click navigation
      (nautilus#3817 upstream)
    - Speed up loading of SMB shares by not waiting for attributes to be ready
      before loading directories
      (nautilus#3834 upstream)
    - Don't list FLAC in audio files' Properties as both a container and
      a codec
      (nautilus#3839 upstream)
    - Disable localsearch (Tracker)-related build-time tests, which did not
      work in the upstream CI
      (see nautilus#3878 upstream)
    - Translation updates

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Jun 2025 14:44:20 -0400

## nautilus 48.3

=== debian/changelog ===
nautilus (48.3-2) unstable; urgency=medium

  * Team upload
  * Expand change details in previous changelog entry to provide more
    information for the release team
  * d/watch: Only watch versions 48.x until forky cycle opens
  * d/gbp.conf: Use upstream/48.x branch until forky cycle opens
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 13 Jul 2025 17:28:19 +0100

nautilus (48.3-1) experimental; urgency=medium

  * New upstream bugfix release
    - Fix a crash when entering the path bar (Ctrl+L) from a location with no
      path (such as recent://)
      (nautilus#3879 upstream)
    - Support more video/audio types in search filter, for example Matroska
      (nautilus#2452 upstream)
    - When used to provide a file chooser in multiple-directory mode,
      don't prevent the current directory from being selected
      (nautilus!1758 upstream)
    - Take focus correctly when programmatically opened via D-Bus, by
      passing through the startup token, avoiding overzealous focus-stealing
      prevention and the "<Window Name> is ready" notification
      (nautilus#3385 upstream)
    - Fix progress dialogs not getting closed as intended
      (nautilus#3868 upstream)
    - Prevent file chooser crash if attempting to open an empty location
      via D-Bus
      (nautilus#3862 upstream)
    - Replace an icon that no longer exists in the current
      adwaita-icon-theme with a similar icon that still exists and is
      already relied on
      (nautilus#3880 upstream)
    - Fix a memory leak
      (part of nautilus!1782 upstream)
    - When running sandboxed, register our app ID with xdg-desktop-portal
      so that it will let us inhibit logout during file operations
      (nautilus#3874 upstream, not usually relevant in Debian)
    - Translation updates
  * Move gvfs-backends from Recommends to Depends to fix crash
    (Closes: #1101157)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 02 Jul 2025 10:24:17 -0400

=== debian/control ===
--- 
+++ 
@@ -47,6 +47,7 @@
          eject,
          gsettings-desktop-schemas (>= 3.8.0),
          gvfs (>= 1.3.2),
+         gvfs-backends,
          libglib2.0-data,
          libnautilus-extension4 (= ${binary:Version}),
          nautilus-data (= ${source:Version}),
@@ -55,7 +56,7 @@
          xdg-user-dirs-gtk,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gnome-sushi, gvfs-backends, libgdk-pixbuf2.0-bin, librsvg2-common
+Recommends: gnome-sushi, libgdk-pixbuf2.0-bin, librsvg2-common
 Breaks: eiciel (<< 0.9.13.1-1.1~),
         folder-color (<< 0.0.86-0ubuntu5~),
         nautilus-dropbox (<< 2019.02.14-1ubuntu2~),

=== debian/rules ===
--- 
+++ 
@@ -33,8 +33,7 @@
 	dh_auto_configure -- \
 		-Ddocs=true \
 		-Dpackagekit=true \
-		-Dtests=all \
-		-Dunity-launcher=true \
+		$(ENABLE_TESTS) \
 		$(ENABLE_CLOUD) \
 		$(ENABLE_SELINUX)
 
@@ -42,11 +41,6 @@
 	touch $(CURDIR)/debian/.debhelper/generated/_source/home/.gtk-bookmarks
 	GTK_A11Y=none dbus-run-session -- xvfb-run --auto-servernum dh_auto_test
 
-override_dh_install:
-	dh_install
-	mkdir -p debian/nautilus/usr/share/apport/package-hooks
-	sed 's/DEB_HOST_MULTIARCH/$(DEB_HOST_MULTIARCH)/g' debian/source_nautilus.py.in > debian/nautilus/usr/share/apport/package-hooks/source_nautilus.py
-
 override_dh_gnome_clean:
 
 execute_after_dh_clean:

## nautilus 49~alpha

=== debian/changelog ===
nautilus (1:49~alpha-0ubuntu2) questing; urgency=medium

  * debian: Integrate with xdg-terminal-exec (LP: #2119117)
    - Add proposed patch to conditionally replace "Open in Console" with a
      generic "Open in terminal" that launches xdg-terminal-exec
    - Toggle the meson configuration option to enable that
    - Replace the nautilus-extension-gnome-terminal package

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 30 Jul 2025 15:34:30 +0200

nautilus (1:49~alpha-0ubuntu1) questing; urgency=medium

  * Merge with debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: libunity-dev
      + Add Recommends: xdg-desktop-portal-gnome:
        Required for "Set as Background" feature
      + Suggest instead of Recommend gnome-sushi
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
    - Add appstream-compulsory.patch:
      - Mark Nautilus as required for GNOME (affects the GNOME Software app)
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - nautilus-sendto.patch:
      + Restore nautilus-sendto integration for better Thunderbird integration
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - unity_icon_color.patch:
      + specify a background color for the unity launcher icon
  * New upstream release
  * Refresh patches
  * debian/control: Add build dependency on libicu
  * debian/control: Bump tracker-sparql-3.0 minimum version
  * debian/patches: Fix localsearch test

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 23 Jul 2025 14:56:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: nautilus
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -23,14 +24,16 @@
                libgstreamer-plugins-base1.0-dev,
                libgtk-4-dev (>= 4.17.5),
                libgtk-4-doc,
+               libicu-dev (>= 56),
                libpango1.0-dev (>= 1.42),
                libportal-gtk4-dev (>= 0.7),
                libselinux1-dev (>= 2.0) [linux-any],
                libtinysparql-dev,
-               libtracker-sparql-3.0-dev,
+               libtracker-sparql-3.0-dev (>= 3.2),
                localsearch <!nocheck>,
                meson (>= 0.59.0),
                shared-mime-info (>= 0.50),
+               libunity-dev (>= 5.0.0),
                tracker-test-utils (>= 3) <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>
@@ -56,7 +59,10 @@
          xdg-user-dirs-gtk,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gnome-sushi, libgdk-pixbuf2.0-bin, librsvg2-common
+Recommends: libgdk-pixbuf2.0-bin,
+            librsvg2-common,
+            xdg-desktop-portal-gnome,
+Suggests: gnome-sushi,
 Breaks: eiciel (<< 0.9.13.1-1.1~),
         folder-color (<< 0.0.86-0ubuntu5~),
         nautilus-dropbox (<< 2019.02.14-1ubuntu2~),
@@ -70,7 +76,10 @@
         nautilus-image-converter (<< 0.3.1~git20110416-2.1~),
         nautilus-share (<< 0.7.3-2ubuntu7~),
         nautilus-wipe (<< 0.3.1-2.1~),
-        seahorse-nautilus (<< 3.11.92-4.1~)
+        seahorse-nautilus (<< 3.11.92-4.1~),
+        unity (<< 7.5.1+21.10.20210601.1-0ubuntu1),
+        nautilus-extension-gnome-terminal (<< 3.56.0-1ubuntu2),
+Replaces: nautilus-extension-gnome-terminal (<< 3.56.0-1ubuntu2),
 Description: file manager and graphical shell for GNOME
  Nautilus is the official file manager for the GNOME desktop. It allows
  one to browse directories, preview files and launch applications

## nautilus 49~beta

=== debian/changelog ===
nautilus (1:49~beta-0ubuntu3) questing; urgency=medium

  * Capitalize Open in Terminal

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 27 Aug 2025 16:35:39 -0400

nautilus (1:49~beta-0ubuntu2) questing; urgency=medium

  * Bump the extension version from 4.0 to 4.1 per upstream changes in 49.beta

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 19 Aug 2025 17:30:27 +0800

nautilus (1:49~beta-0ubuntu1) questing; urgency=medium

  * New upstream version 49.beta
  * debian/control: Bump libglib2.0-dev requirement to 2.84.0
  * Drop upstreamed patch:
    - test-Fix-localsearch-test-following-hits-added-signal-sig.patch
  * Refresh Ubuntu patches and fix conflicts:
    - files-view-Add-xdg-terminal-exec-action.patch
    - nautilus-sendto.patch
    - ubuntu_backspace_behaviour.patch
    - unity_launcher_support.patch

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 19 Aug 2025 17:25:30 +0800

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libfontconfig-dev,
                libgexiv2-dev (>= 0.14.2),
                libgirepository1.0-dev (>= 0.10.7-1~),
-               libglib2.0-dev (>= 2.79.0),
+               libglib2.0-dev (>= 2.84.0),
                libglib2.0-doc,
                libgnome-autoar-0-dev (>= 0.4.4),
                libgnome-desktop-4-dev (>= 43~),
@@ -89,7 +89,7 @@
  Several icon themes and components for viewing different kinds of files
  are available in separate packages.
 
-Package: gir1.2-nautilus-4.0
+Package: gir1.2-nautilus-4.1
 Architecture: any
 Multi-Arch: same
 Section: introspection
@@ -105,8 +105,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: gir1.2-nautilus-4.0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.79.0),
+Depends: gir1.2-nautilus-4.1 (= ${binary:Version}),
+         libglib2.0-dev (>= 2.84.0),
          libnautilus-extension4 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,9 @@
 	dh_auto_configure -- \
 		-Ddocs=true \
 		-Dpackagekit=true \
-		$(ENABLE_TESTS) \
+		-Dtests=all \
+		-Dunity-launcher=true \
+                -Dxdg-terminal-exec=true \
 		$(ENABLE_CLOUD) \
 		$(ENABLE_SELINUX)
 
@@ -41,6 +43,11 @@
 	touch $(CURDIR)/debian/.debhelper/generated/_source/home/.gtk-bookmarks
 	GTK_A11Y=none dbus-run-session -- xvfb-run --auto-servernum dh_auto_test
 
+override_dh_install:
+	dh_install
+	mkdir -p debian/nautilus/usr/share/apport/package-hooks
+	sed 's/DEB_HOST_MULTIARCH/$(DEB_HOST_MULTIARCH)/g' debian/source_nautilus.py.in > debian/nautilus/usr/share/apport/package-hooks/source_nautilus.py
+
 override_dh_gnome_clean:
 
 execute_after_dh_clean:

## nautilus 49~rc

=== debian/changelog ===
nautilus (49~rc-3) unstable; urgency=medium

  * Double the build test timeout to help the slow riscv64 build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Sep 2025 10:08:46 -0400

nautilus (49~rc-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Sep 2025 10:27:30 -0400

nautilus (49~rc-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Remove obsolete Rules-Requires-Root: no field

  [ Simon McVittie ]
  * d/control: Replace libgirepository1.0-dev B-D with gobject-introspection
  * d/control: Use ${gir:Depends} for -dev package instead of hard-coding
  * d/rules: Don't run dh_gnome.
    We don't use any of its functionality. Continue to use dh-sequence-gnome,
    which does nothing in Debian but has an effect in Ubuntu (it runs dh_scour
    and dh_translations).
  * Provide symlinks to make extension API reference more discoverable
  * Register the API reference with doc-base
  * d/control: Standards-Version: 4.7.2 (no changes required)

  [ Daniel van Vugt ]
  * Bump libglib2.0-dev requirement to 2.84.0 per upstream changes
  * Bump extension version from 4.0 to 4.1

  [ Alessandro Astone ]
  * d/p: Fix localsearch test again
  * d/p: Skip thumbnail tests in environments that can't unshare

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Sep 2025 18:03:32 -0400

## nautilus 49.0

=== meson_options.txt ===
##############
# Extensions #
##############
option(
  'docs',
  type: 'boolean',
  value: false,
  description: 'Build documentation for extension library',
)
option(
  'extensions',
  type: 'boolean',
  value: true,
  description: 'Build stock extensions',
)
option(
  'introspection',
  type: 'boolean',
  value: true,
  description: 'Build GObject introspection data for extension library',
)
##################
# End extensions #
##################

############
# Features #
############
option(
  'packagekit',
  type: 'boolean',
  value: true,
  description: 'Enable finding file type handlers using PackageKit',
)
option(
  'selinux',
  type: 'boolean',
  value: false,
  description: 'Enable SELinux context support in file properties dialog',
)
option(
  'cloudproviders',
  type: 'boolean',
  value: true,
  description: 'Enable the cloudproviders support',
)
################
# End features #
################

###########
# Testing #
###########
option(
  'tests',
  type: 'combo',
  choices: [
    'none',
    'headless',
    'all'
  ],
  value: 'headless',
  description: 'Build selected tests',
)
###############
# End testing #
###############

option(
  'profile',
  type: 'string',
  value: '',
  description: 'Build with specified application ID',
)

=== debian/changelog ===
nautilus (1:49.0-1ubuntu2) questing; urgency=medium

  * More integrations with xdg-terminal-exec
    - Restore context menu entry for the pathbar
    - Restore Ctrl+. keyboard shortcut (LP: #2125884)
  * d/p: Refresh patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 29 Sep 2025 11:19:15 +0200

nautilus (1:49.0-1ubuntu1) questing; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 49.0 via Debian.
  * Drop upstreamed patches:
    - test-search-engine-Add-missing-headers.patch
    - test-thumbnails-Skip-if-we-cannot-run-bwrap.patch
  * Refresh Ubuntu patches:
    - files-view-Add-xdg-terminal-exec-action.patch
    - nautilus-sendto.patch
    - unity_launcher_support.patch

  [ Jeremy Bícha ]
  * Revert "Double the build test timeout to help the slow riscv64 build"
    because it was fixed upstream in 49.0

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Sun, 21 Sep 2025 17:54:02 +0800

nautilus (49.0-1) unstable; urgency=medium

  * New upstream release
  * Remove 2 patches applied in new release
  * Salsa CI: Stop disabling reprotest

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Sep 2025 17:52:53 -0400

nautilus (1:49~rc-0ubuntu1) questing; urgency=medium

  * New upstream release
  * d/p: Rebase patches
  * d/p: Fix localsearch test again
  * d/p: Skip thumbnail tests

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 04 Sep 2025 22:42:20 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                desktop-file-utils,
                gi-docgen,
                gir1.2-gio-2.0-dev,
+               gobject-introspection (>= 1.80),
                libadwaita-1-dev (>= 1.6~beta),
                libcloudproviders-dev (>= 0.3.1),
                libfontconfig-dev,
@@ -37,11 +38,10 @@
                tracker-test-utils (>= 3) <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Rules-Requires-Root: no
 Homepage: https://wiki.gnome.org/action/show/Apps/Nautilus
 Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
 Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 
 Package: nautilus
 Architecture: any
@@ -108,6 +108,7 @@
 Depends: gir1.2-nautilus-4.1 (= ${binary:Version}),
          libglib2.0-dev (>= 2.84.0),
          libnautilus-extension4 (= ${binary:Version}),
+         ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: ${gir:Provides}

=== debian/rules ===
--- 
+++ 
@@ -48,6 +48,8 @@
 	mkdir -p debian/nautilus/usr/share/apport/package-hooks
 	sed 's/DEB_HOST_MULTIARCH/$(DEB_HOST_MULTIARCH)/g' debian/source_nautilus.py.in > debian/nautilus/usr/share/apport/package-hooks/source_nautilus.py
 
+override_dh_gnome:
+
 override_dh_gnome_clean:
 
 execute_after_dh_clean:
